## qtkeychain 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3)

set(QTKEYCHAIN_VERSION 0.12.0)
set(QTKEYCHAIN_SOVERSION 1)

project(qtkeychain VERSION ${QTKEYCHAIN_VERSION})

# Enable C++11
SET(CMAKE_CXX_STANDARD 11)

include(FindPkgConfig)

###

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGeneratePriFile)

option(BUILD_WITH_QT6 "Build qtkeychain with Qt 6" OFF)
option(BUILD_TEST_APPLICATION "Build test application" ON)
option(BUILD_TRANSLATIONS "Build translations" ON)
option(QTKEYCHAIN_STATIC "Build static library" OFF)

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    set(ANDROID 1)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Haiku)
    set(HAIKU 1)
endif()

if (WIN32)
    option(USE_CREDENTIAL_STORE "Build with windows CredentialStore support" ON)

    if (USE_CREDENTIAL_STORE)
        add_definitions(-DUSE_CREDENTIAL_STORE=1)
    endif()
endif()

if( NOT BUILD_WITH_QT6 )
    find_package(Qt5 COMPONENTS Core REQUIRED)
endif()

if (Qt5Core_FOUND AND NOT BUILD_WITH_QT6)
  set(QTKEYCHAIN_VERSION_INFIX 5)

  if(ANDROID)
    if(Qt5Core_VERSION VERSION_LESS 5.7)
        find_package(Qt5 COMPONENTS Core REQUIRED Private)
        include_directories(${Qt5Core_PRIVATE_INCLUDE_DIRS})
    endif()

    find_package(Qt5 COMPONENTS AndroidExtras REQUIRED)
    include_directories(${Qt5AndroidExtras_INCLUDE_DIRS})
    set(QTANDROIDEXTRAS_LIBRARIES ${Qt5AndroidExtras_LIBRARIES})
  endif()

  if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(Qt5 COMPONENTS DBus REQUIRED)
    include_directories(${Qt5DBus_INCLUDE_DIRS})
    set(QTDBUS_LIBRARIES ${Qt5DBus_LIBRARIES})
    macro(qt_add_dbus_interface)
      qt5_add_dbus_interface(${ARGN})
    endmacro()
  endif()

  if(BUILD_TRANSLATIONS)
    find_package(Qt5 COMPONENTS LinguistTools REQUIRED)
    macro(qt_add_translation)
      qt5_add_translation(${ARGN})
    endmacro(qt_add_translation)
    macro(qt_create_translation)
      qt5_create_translation(${ARGN})
    endmacro(qt_create_translation)
  endif()

  macro(qt_wrap_cpp)
    qt5_wrap_cpp(${ARGN})
  endmacro()

  set(QTCORE_LIBRARIES ${Qt5Core_LIBRARIES})
  include_directories(${Qt5Core_INCLUDE_DIRS})
else()
  find_package(Qt6 COMPONENTS Core REQUIRED)
  set(QTKEYCHAIN_VERSION_INFIX 6)

  if(ANDROID)
    find_package(Qt6 COMPONENTS AndroidExtras REQUIRED)
    include_directories(${Qt6AndroidExtras_INCLUDE_DIRS})
    set(QTANDROIDEXTRAS_LIBRARIES ${Qt6AndroidExtras_LIBRARIES})
  endif()

  if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(Qt6 COMPONENTS DBus REQUIRED)
    include_directories(${Qt6DBus_INCLUDE_DIRS})
    set(QTDBUS_LIBRARIES ${Qt6DBus_LIBRARIES})
    macro(qt_add_dbus_interface)
      qt6_add_dbus_interface(${ARGN})
    endmacro()
  endif()

  if(BUILD_TRANSLATIONS)
    find_package(Qt6 COMPONENTS LinguistTools REQUIRED)
    macro(qt_add_translation)
      qt6_add_translation(${ARGN})
    endmacro(qt_add_translation)
    macro(qt_create_translation)
      qt6_create_translation(${ARGN})
    endmacro(qt_create_translation)
  endif()

  macro(qt_wrap_cpp)
    qt6_wrap_cpp(${ARGN})
  endmacro()

  set(QTCORE_LIBRARIES ${Qt6Core_LIBRARIES})
endif()


include_directories(${CMAKE_CURRENT_BINARY_DIR})

list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
set(qtkeychain_SOURCES
    keychain.cpp
    qkeychain_export.h
    keychain.h
)

if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
    # CMake < 3.15 sneaks in /W# flags for us, so we need a replacement,
    # or we'll get a warning (cf. CMP0092)
    if (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
        string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
    endif()
else()
    # MSVC's STL / Qt headers are not MSVC -Wall clean, so don't enable it there
    add_definitions( -Wall )
endif()

if(WIN32)
    list(APPEND qtkeychain_SOURCES keychain_win.cpp)
    if (NOT USE_CREDENTIAL_STORE)
        list(APPEND qtkeychain_LIBRARIES crypt32)
        list(APPEND qtkeychain_SOURCES plaintextstore.cpp)
    endif()
    #FIXME: mingw bug; otherwise getting undefined refs to RtlSecureZeroMemory there
    if(MINGW)
        add_definitions( -O2 )
    endif()
endif()

if(APPLE)
    if(IOS)
        list(APPEND qtkeychain_SOURCES keychain_ios.mm)
    else()
        list(APPEND qtkeychain_SOURCES keychain_mac.cpp)
    endif()

    list(APPEND qtkeychain_LIBRARIES "-framework Foundation" "-framework Security")
endif()

if(HAIKU)
    list(APPEND qtkeychain_SOURCES keychain_haiku.cpp)

    find_library(BE_LIBRARY be REQUIRED)
    list(APPEND qtkeychain_LIBRARIES ${BE_LIBRARY})
endif()

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(LIBSECRET_SUPPORT "Build with libsecret support" ON)

    if(LIBSECRET_SUPPORT)
        pkg_check_modules(LIBSECRET libsecret-1)

        if (LIBSECRET_FOUND)
            add_definitions(-DHAVE_LIBSECRET=1)
        endif()
        INCLUDE_DIRECTORIES(${LIBSECRET_INCLUDE_DIRS})
        list(APPEND qtkeychain_LIBRARIES_PRIVATE ${LIBSECRET_LIBRARIES})
    endif()

    add_definitions(-DKEYCHAIN_DBUS=1)
    list(APPEND qtkeychain_SOURCES keychain_unix.cpp gnomekeyring.cpp libsecret.cpp plaintextstore.cpp)
    qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
    list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES} )
endif()

if(ANDROID)
    list(APPEND qtkeychain_SOURCES keychain_android.cpp androidkeystore.cpp plaintextstore.cpp)
    list(APPEND qtkeychain_LIBRARIES ${QTANDROIDEXTRAS_LIBRARIES} )
endif()

QT_WRAP_CPP(qtkeychain_MOC_OUTFILES keychain.h keychain_p.h gnomekeyring_p.h)

set(qtkeychain_TR_FILES
      translations/qtkeychain_de.ts
      translations/qtkeychain_fr.ts
      translations/qtkeychain_ro.ts
      translations/qtkeychain_ru.ts
      translations/qtkeychain_zh.ts
)

file(GLOB qtkeychain_TR_SOURCES *.cpp *.h *.ui)
if ( BUILD_TRANSLATIONS )
    qt_create_translation(qtkeychain_MESSAGES ${qtkeychain_TR_SOURCES} ${qtkeychain_TR_FILES})
    qt_add_translation(qtkeychain_QM_FILES ${qtkeychain_TR_FILES})
    add_custom_target(messages DEPENDS ${qtkeychain_MESSAGES})
    add_custom_target(translations DEPENDS ${qtkeychain_QM_FILES})

    if(QTKEYCHAIN_VERSION_INFIX EQUAL 5 AND QT_TRANSLATIONS_DIR AND NOT QTKEYCHAIN_TRANSLATIONS_DIR)
        # Back compatibility with pre-0.11 versions
        message (WARNING "QT_TRANSLATIONS_DIR is deprecated, use QTKEYCHAIN_TRANSLATIONS_DIR instead")
        set(QTKEYCHAIN_TRANSLATIONS_DIR ${QT_TRANSLATIONS_DIR}
            CACHE PATH "The location of the QtKeychain translations" FORCE)
    else()
        set(QTKEYCHAIN_TRANSLATIONS_DIR
            ${CMAKE_INSTALL_DATADIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/translations
            CACHE PATH "The location of the QtKeychain translations" )
    endif()

    install(FILES ${qtkeychain_QM_FILES}
	    DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
endif( BUILD_TRANSLATIONS )

set(QTKEYCHAIN_TARGET_NAME qt${QTKEYCHAIN_VERSION_INFIX}keychain)
if(NOT QTKEYCHAIN_STATIC)
    add_library(${QTKEYCHAIN_TARGET_NAME} SHARED ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
else()
    add_library(${QTKEYCHAIN_TARGET_NAME} STATIC ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
endif()
if(WIN32)
    set_target_properties( ${QTKEYCHAIN_TARGET_NAME} PROPERTIES DEBUG_POSTFIX "d" )
endif()

target_link_libraries(${QTKEYCHAIN_TARGET_NAME} PUBLIC ${qtkeychain_LIBRARIES} PRIVATE ${qtkeychain_LIBRARIES_PRIVATE})
if(NOT INTERFACE_INCLUDE_SUFFIX)
    set(INTERFACE_INCLUDE_SUFFIX include)
endif()
target_include_directories(${QTKEYCHAIN_TARGET_NAME} PUBLIC $<INSTALL_INTERFACE:${INTERFACE_INCLUDE_SUFFIX}/>)

generate_export_header(${QTKEYCHAIN_TARGET_NAME}
  EXPORT_FILE_NAME qkeychain_export.h
  EXPORT_MACRO_NAME QKEYCHAIN_EXPORT
)

set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
    VERSION ${QTKEYCHAIN_VERSION}
    SOVERSION ${QTKEYCHAIN_SOVERSION}
    MACOSX_RPATH 1
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
    INSTALL_RPATH_USE_LINK_PATH TRUE
)

install(FILES keychain.h ${CMAKE_CURRENT_BINARY_DIR}/qkeychain_export.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/
)

install(TARGETS ${QTKEYCHAIN_TARGET_NAME}
  EXPORT Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

if(BUILD_TEST_APPLICATION)
    add_executable( testclient testclient.cpp )
    target_link_libraries( testclient ${QTKEYCHAIN_TARGET_NAME})
endif()


###
### CMake config file
###

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/QtKeychainConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfig.cmake"
  INSTALL_DESTINATION Qt${QTKEYCHAIN_VERSION_INFIX}Keychain)

ecm_setup_version("${QTKEYCHAIN_VERSION}" VARIABLE_PREFIX SNORE
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake"
  SOVERSION ${QTKEYCHAIN_VERSION})

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(PRI_EXTRA_DEPS "dbus")
endif()
ecm_generate_pri_file(BASE_NAME Qt${QTKEYCHAIN_VERSION_INFIX}Keychain
  LIB_NAME ${QTKEYCHAIN_TARGET_NAME}
  DEPS "core ${PRI_EXTRA_DEPS}"
  INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}
  FILENAME_VAR pri_filename)

install(FILES ${pri_filename} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


install(EXPORT Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/Qt${QTKEYCHAIN_VERSION_INFIX}Keychain"
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Qt${QTKEYCHAIN_VERSION_INFIX}Keychain
)

=== debian/changelog ===
qtkeychain (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to work with current github page.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Update installation path for trnaslations.
  * Update docs paths.
  * Update standards version to 4.6.0, no changes needed.

 -- Sandro Knauß <hefee@debian.org>  Sun, 19 Sep 2021 23:57:53 +0200

=== debian/control ===
Source: qtkeychain
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libsecret-1-dev,
               pkg-config,
               pkg-kde-tools,
               qttools5-dev,
               qttools5-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git
Vcs-Browser: https://salsa.debian.org/owncloud-team/qtkeychain

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (QT5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

Package: qt5keychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain (QT5 version)
 A Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

## qtkeychain 0.13.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.3)
-
-set(QTKEYCHAIN_VERSION 0.12.0)
+cmake_minimum_required(VERSION 3.16)
+
+set(QTKEYCHAIN_VERSION 0.13.2)
 set(QTKEYCHAIN_SOVERSION 1)
 
-project(qtkeychain VERSION ${QTKEYCHAIN_VERSION})
+project(qtkeychain VERSION ${QTKEYCHAIN_VERSION} LANGUAGES CXX)
 
 # Enable C++11
 SET(CMAKE_CXX_STANDARD 11)
@@ -20,9 +20,13 @@
 include(ECMGeneratePriFile)
 
 option(BUILD_WITH_QT6 "Build qtkeychain with Qt 6" OFF)
-option(BUILD_TEST_APPLICATION "Build test application" ON)
+option(BUILD_TEST_APPLICATION "Build test application" OFF)
 option(BUILD_TRANSLATIONS "Build translations" ON)
-option(QTKEYCHAIN_STATIC "Build static library" OFF)
+option(BUILD_SHARED_LIBS "Build dynamic library" ON)
+if(QTKEYCHAIN_STATIC)
+    set(BUILD_SHARED_LIBS OFF)
+    message(WARNING "QTKEYCHAIN_STATIC is deprecated. Use BUILD_SHARED_LIBS=OFF instead.")
+endif()
 
 if(CMAKE_SYSTEM_NAME STREQUAL Android)
     set(ANDROID 1)
@@ -139,7 +143,7 @@
     endif()
 else()
     # MSVC's STL / Qt headers are not MSVC -Wall clean, so don't enable it there
-    add_definitions( -Wall )
+    add_definitions( -Wall -Werror=return-type )
 endif()
 
 if(WIN32)
@@ -155,12 +159,7 @@
 endif()
 
 if(APPLE)
-    if(IOS)
-        list(APPEND qtkeychain_SOURCES keychain_ios.mm)
-    else()
-        list(APPEND qtkeychain_SOURCES keychain_mac.cpp)
-    endif()
-
+    list(APPEND qtkeychain_SOURCES keychain_apple.mm)
     list(APPEND qtkeychain_LIBRARIES "-framework Foundation" "-framework Security")
 endif()
 
@@ -175,12 +174,10 @@
     option(LIBSECRET_SUPPORT "Build with libsecret support" ON)
 
     if(LIBSECRET_SUPPORT)
-        pkg_check_modules(LIBSECRET libsecret-1)
-
-        if (LIBSECRET_FOUND)
-            add_definitions(-DHAVE_LIBSECRET=1)
-        endif()
+        pkg_check_modules(LIBSECRET REQUIRED libsecret-1)
+        add_definitions(-DHAVE_LIBSECRET=1)
         INCLUDE_DIRECTORIES(${LIBSECRET_INCLUDE_DIRS})
+        LINK_DIRECTORIES(${LIBSECRET_LIBRARY_DIRS})
         list(APPEND qtkeychain_LIBRARIES_PRIVATE ${LIBSECRET_LIBRARIES})
     endif()
 
@@ -192,7 +189,7 @@
 
 if(ANDROID)
     list(APPEND qtkeychain_SOURCES keychain_android.cpp androidkeystore.cpp plaintextstore.cpp)
-    list(APPEND qtkeychain_LIBRARIES ${QTANDROIDEXTRAS_LIBRARIES} )
+    list(APPEND qtkeychain_LIBRARIES_PRIVATE ${QTANDROIDEXTRAS_LIBRARIES} )
 endif()
 
 QT_WRAP_CPP(qtkeychain_MOC_OUTFILES keychain.h keychain_p.h gnomekeyring_p.h)
@@ -205,12 +202,20 @@
       translations/qtkeychain_zh.ts
 )
 
+set(QTKEYCHAIN_TARGET_NAME qt${QTKEYCHAIN_VERSION_INFIX}keychain)
+add_library(${QTKEYCHAIN_TARGET_NAME} ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
+if(WIN32)
+    set_target_properties( ${QTKEYCHAIN_TARGET_NAME} PROPERTIES DEBUG_POSTFIX "d" )
+endif()
+
 file(GLOB qtkeychain_TR_SOURCES *.cpp *.h *.ui)
 if ( BUILD_TRANSLATIONS )
     qt_create_translation(qtkeychain_MESSAGES ${qtkeychain_TR_SOURCES} ${qtkeychain_TR_FILES})
     qt_add_translation(qtkeychain_QM_FILES ${qtkeychain_TR_FILES})
     add_custom_target(messages DEPENDS ${qtkeychain_MESSAGES})
-    add_custom_target(translations DEPENDS ${qtkeychain_QM_FILES})
+    add_custom_target(translations DEPENDS ${qtkeychain_QM_FILES} messages)
+    # https://github.com/frankosterfeld/qtkeychain/issues/185
+    add_dependencies(${QTKEYCHAIN_TARGET_NAME} translations)
 
     if(QTKEYCHAIN_VERSION_INFIX EQUAL 5 AND QT_TRANSLATIONS_DIR AND NOT QTKEYCHAIN_TRANSLATIONS_DIR)
         # Back compatibility with pre-0.11 versions
@@ -223,19 +228,8 @@
             CACHE PATH "The location of the QtKeychain translations" )
     endif()
 
-    install(FILES ${qtkeychain_QM_FILES}
-	    DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
+    install(FILES ${qtkeychain_QM_FILES} DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
 endif( BUILD_TRANSLATIONS )
-
-set(QTKEYCHAIN_TARGET_NAME qt${QTKEYCHAIN_VERSION_INFIX}keychain)
-if(NOT QTKEYCHAIN_STATIC)
-    add_library(${QTKEYCHAIN_TARGET_NAME} SHARED ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
-else()
-    add_library(${QTKEYCHAIN_TARGET_NAME} STATIC ${qtkeychain_SOURCES} ${qtkeychain_MOC_OUTFILES} ${qtkeychain_QM_FILES})
-endif()
-if(WIN32)
-    set_target_properties( ${QTKEYCHAIN_TARGET_NAME} PROPERTIES DEBUG_POSTFIX "d" )
-endif()
 
 target_link_libraries(${QTKEYCHAIN_TARGET_NAME} PUBLIC ${qtkeychain_LIBRARIES} PRIVATE ${qtkeychain_LIBRARIES_PRIVATE})
 if(NOT INTERFACE_INCLUDE_SUFFIX)
@@ -251,10 +245,14 @@
 set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
     VERSION ${QTKEYCHAIN_VERSION}
     SOVERSION ${QTKEYCHAIN_SOVERSION}
-    MACOSX_RPATH 1
-    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
     INSTALL_RPATH_USE_LINK_PATH TRUE
 )
+
+if (NOT APPLE)
+	set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
+		INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
+		)
+endif()
 
 install(FILES keychain.h ${CMAKE_CURRENT_BINARY_DIR}/qkeychain_export.h
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/

=== debian/changelog ===
qtkeychain (0.13.2-5) unstable; urgency=medium

  * Build without Qt6 for archs without Qt6 support yet.
    Thanks to Rick Mills <rickmills@kde.org> (Closes: 1007743)

 -- Sandro Knauß <hefee@debian.org>  Fri, 18 Mar 2022 20:13:39 +0100

qtkeychain (0.13.2-4) unstable; urgency=medium

  * Add qt5keychain-dev as transitinal package.

 -- Sandro Knauß <hefee@debian.org>  Fri, 25 Feb 2022 20:25:01 +0100

qtkeychain (0.13.2-3) unstable; urgency=medium

  * Install qt6 pri file correctly under /usr/share/qt6.
  * Update copyright file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 24 Feb 2022 14:05:01 +0100

qtkeychain (0.13.2-2) unstable; urgency=medium

  [ Lu YaNing ]
  * Add qtbase5-private-dev qt6-tools-dev qt6-tools-dev-tools
   B-Ds.
  * Add libgcrypt20-dev and qt6-l10n-tools B-Ds.

  [ Sandro Knauß ]
  * Enable Qt5 & Qt6 build.
  * Fail build, if not everything is packaged.
  * Add Qt6 packages:
    - Rename qt5keychain-dev -> qtkeychain-qt5-dev because of consistency.
    - Add libqt6keychain1
    - Add qtkeychain-qt6-dev
    - Provides qt5keychain-dev by qtkeychain-qt5-dev.
  * Add symbols for libqt6keychain1.
  * Add and update Build-Depends-Package for all symbols files.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 Feb 2022 11:08:41 +0100

qtkeychain (0.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patch.
  * Update copyright file.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Feb 2022 17:39:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,17 @@
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               libgcrypt20-dev,
                libsecret-1-dev,
                pkg-config,
                pkg-kde-tools,
+               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qtbase5-private-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Section: libs
@@ -29,13 +35,36 @@
  If none of them is available, qtkeychain will report an error or writes
  with explicit request the password unencrypted at a file.
  .
- This is the Version built for QT5
+ This is the Version built for QT5.
+
+Package: libqt6keychain1
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Recommends: gnome-keyring | kwalletmanager
+Description: Qt API to store passwords (QT6 version)
+ It can use KWallet or GNOME Keyring, if one of them is available.
+ If none of them is available, qtkeychain will report an error or writes
+ with explicit request the password unencrypted at a file.
+ .
+ This is the Version built for QT6.
 
 Package: qt5keychain-dev
+Section: oldlibs
+Architecture: all
+Depends: qtkeychain-qt5-dev, ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: qtkeychain-qt5-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
+Provides: qt5keychain-dev
+Breaks: qt5keychain-dev (<< 0.13.2-3~)
+Replaces: qt5keychain-dev (<< 0.13.2-3~)
 Description: Development files for qtkeychain (QT5 version)
  A Qt API to store passwords
  .
@@ -43,4 +72,18 @@
  If none of them is available, qtkeychain will report an error or writes
  with explicit request the password unencrypted at a file.
  .
- This is the Version built for QT5
+ This is the Version built for QT5.
+
+Package: qtkeychain-qt6-dev
+Section: libdevel
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64
+Multi-Arch: same
+Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
+Description: Development files for qtkeychain (QT6 version)
+ A Qt API to store passwords
+ .
+ It can use KWallet or GNOME Keyring, if one of them is available.
+ If none of them is available, qtkeychain will report an error or writes
+ with explicit request the password unencrypted at a file.
+ .
+ This is the Version built for QT6.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with kde --with pkgkde_symbolshelper

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64))
override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-Qt6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=OFF
	dh_auto_configure --builddirectory=build-Qt6  -- -DBUILD_WITH_QT6=ON \
		-DECM_MKSPECS_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs/modules

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-Qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-Qt6
endif

## qtkeychain 0.14.1

=== debian/changelog ===
qtkeychain (0.14.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Move under the Qt/KDE mantainers umbrella.
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * New upstream release (0.14.1).
  * Update Vcs links.
  * Update copyright for 0.14.1.
  * Update symbols from buildds for 0.13.2.
  * Update symbols from build for 0.14.1.

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Jun 2023 00:11:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtkeychain
 Priority: optional
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -16,11 +16,11 @@
                qttools5-dev,
                qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
-Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git
-Vcs-Browser: https://salsa.debian.org/owncloud-team/qtkeychain
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtkeychain
 
 Package: libqt5keychain1
 Architecture: any

## qtkeychain 0.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(QTKEYCHAIN_VERSION 0.13.2)
+set(QTKEYCHAIN_VERSION 0.14.2)
 set(QTKEYCHAIN_SOVERSION 1)
 
 project(qtkeychain VERSION ${QTKEYCHAIN_VERSION} LANGUAGES CXX)
@@ -18,6 +18,7 @@
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGeneratePriFile)
+include(CMakeDependentOption)
 
 option(BUILD_WITH_QT6 "Build qtkeychain with Qt 6" OFF)
 option(BUILD_TEST_APPLICATION "Build test application" OFF)
@@ -27,6 +28,8 @@
     set(BUILD_SHARED_LIBS OFF)
     message(WARNING "QTKEYCHAIN_STATIC is deprecated. Use BUILD_SHARED_LIBS=OFF instead.")
 endif()
+CMAKE_DEPENDENT_OPTION(BUILD_TRANSLATIONS_AS_RESOURCES "Bundle translations with the library" OFF
+                       "BUILD_TRANSLATIONS" OFF)
 
 if(CMAKE_SYSTEM_NAME STREQUAL Android)
     set(ANDROID 1)
@@ -91,11 +94,6 @@
   find_package(Qt6 COMPONENTS Core REQUIRED)
   set(QTKEYCHAIN_VERSION_INFIX 6)
 
-  if(ANDROID)
-    find_package(Qt6 COMPONENTS AndroidExtras REQUIRED)
-    include_directories(${Qt6AndroidExtras_INCLUDE_DIRS})
-    set(QTANDROIDEXTRAS_LIBRARIES ${Qt6AndroidExtras_LIBRARIES})
-  endif()
 
   if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
     find_package(Qt6 COMPONENTS DBus REQUIRED)
@@ -217,18 +215,28 @@
     # https://github.com/frankosterfeld/qtkeychain/issues/185
     add_dependencies(${QTKEYCHAIN_TARGET_NAME} translations)
 
-    if(QTKEYCHAIN_VERSION_INFIX EQUAL 5 AND QT_TRANSLATIONS_DIR AND NOT QTKEYCHAIN_TRANSLATIONS_DIR)
-        # Back compatibility with pre-0.11 versions
-        message (WARNING "QT_TRANSLATIONS_DIR is deprecated, use QTKEYCHAIN_TRANSLATIONS_DIR instead")
-        set(QTKEYCHAIN_TRANSLATIONS_DIR ${QT_TRANSLATIONS_DIR}
-            CACHE PATH "The location of the QtKeychain translations" FORCE)
+    if (BUILD_TRANSLATIONS_AS_RESOURCES)
+        set(QM_FILE_LIST "")
+        foreach(FILE ${qtkeychain_QM_FILES})
+            list(APPEND QM_FILE_LIST "<file>${FILE}</file>")
+        endforeach()
+        string(REPLACE ";" "" QM_FILE_LIST ${QM_FILE_LIST})
+        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/translations/translations.qrc.in ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
+        target_sources(${QTKEYCHAIN_TARGET_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
     else()
-        set(QTKEYCHAIN_TRANSLATIONS_DIR
-            ${CMAKE_INSTALL_DATADIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/translations
-            CACHE PATH "The location of the QtKeychain translations" )
-    endif()
-
-    install(FILES ${qtkeychain_QM_FILES} DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
+        if(QTKEYCHAIN_VERSION_INFIX EQUAL 5 AND QT_TRANSLATIONS_DIR AND NOT QTKEYCHAIN_TRANSLATIONS_DIR)
+            # Back compatibility with pre-0.11 versions
+            message (WARNING "QT_TRANSLATIONS_DIR is deprecated, use QTKEYCHAIN_TRANSLATIONS_DIR instead")
+            set(QTKEYCHAIN_TRANSLATIONS_DIR ${QT_TRANSLATIONS_DIR}
+                CACHE PATH "The location of the QtKeychain translations" FORCE)
+        else()
+            set(QTKEYCHAIN_TRANSLATIONS_DIR
+                ${CMAKE_INSTALL_DATADIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/translations
+                CACHE PATH "The location of the QtKeychain translations" )
+        endif()
+
+        install(FILES ${qtkeychain_QM_FILES} DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
+    endif()
 endif( BUILD_TRANSLATIONS )
 
 target_link_libraries(${QTKEYCHAIN_TARGET_NAME} PUBLIC ${qtkeychain_LIBRARIES} PRIVATE ${qtkeychain_LIBRARIES_PRIVATE})
@@ -266,8 +274,22 @@
 )
 
 if(BUILD_TEST_APPLICATION)
+    set( testclient_LIBRARIES ${QTKEYCHAIN_TARGET_NAME} )
+
+    if(APPLE)
+        list(APPEND testclient_LIBRARIES "-framework Cocoa")
+
+        if (BUILD_WITH_QT6)
+            find_package(Qt6 COMPONENTS Gui REQUIRED)
+            list(APPEND testclient_LIBRARIES Qt6::Gui)
+        else()
+            find_package(Qt5 COMPONENTS Gui REQUIRED)
+            list(APPEND testclient_LIBRARIES Qt5::Gui)
+        endif()
+
+    endif()
     add_executable( testclient testclient.cpp )
-    target_link_libraries( testclient ${QTKEYCHAIN_TARGET_NAME})
+    target_link_libraries( testclient ${testclient_LIBRARIES})
 endif()

=== debian/changelog ===
qtkeychain (0.14.2-1build5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64 and libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 15:57:53 +0100

qtkeychain (0.14.2-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:03:43 +0000

qtkeychain (0.14.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:51:06 +0000

qtkeychain (0.14.2-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:33:55 +0000

qtkeychain (0.14.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:47:18 +0000

qtkeychain (0.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make .install files for shared libraries slightly more precise.
  * Slightly improve the package descriptions.
  * Update the architectures on which the Qt 6 library is built:
    - drop mipsel, as the architecture was discontinued
    - add powerpc ppc64 sparc64 s390x, as they have qt6-tools
  * Stop installing the upstream ReadMe.md as documentation for
    libqt5keychain1, as it is not that much of use for users.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2024 21:49:01 +0100

=== debian/control ===
Source: qtkeychain
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgcrypt20-dev,
               libsecret-1-dev,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtkeychain

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (Qt 5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 5.

Package: libqt6keychain1
Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Description: Qt API to store passwords (Qt 6 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 6.

Package: qt5keychain-dev
Section: oldlibs
Architecture: all
Depends: qtkeychain-qt5-dev, ${misc:Depends}
Description: transitional package for qtkeychain-qt5-dev
 This is a transitional package. It can safely be removed.

Package: qtkeychain-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Provides: qt5keychain-dev
Breaks: qt5keychain-dev (<< 0.13.2-3~)
Replaces: qt5keychain-dev (<< 0.13.2-3~)
Description: development files for qtkeychain (Qt 5 version)
 A Qt API to store passwords.
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 5.

Package: qtkeychain-qt6-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
Multi-Arch: same
Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
Description: development files for qtkeychain (Qt 6 version)
 A Qt API to store passwords,
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 6.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 %:
 	dh $@ --with kde --with pkgkde_symbolshelper
 
-ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64))
+ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x))
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build-Qt6

## qtkeychain 0.14.3

=== debian/changelog ===
qtkeychain (0.14.3-2) unstable; urgency=medium

  [ Dandan Zhang ]
  * Add support for loong64.

 -- Sandro Knauß <hefee@debian.org>  Fri, 13 Sep 2024 09:52:19 +0200

qtkeychain (0.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 06 May 2024 13:04:56 +0200

qtkeychain (0.14.2-2) unstable; urgency=medium

  * Team upload.
  * Stop using the kde dh addon, as there are no kdelibs 4.x bits in this
    source.
  * Use $(filter ...) in rules to find whether to build the Qt 6 library for
    the current architecture; $(findstring) wrongly matches also substrings
    of architecture strings.
  * Improve the transitional qt5keychain-dev:
    - switch to arch:any, so it is built at the same version of the Qt 5 library
    - tweak the qtkeychain-qt5-dev dependency to pull its latest version,
      so there is less risk of old versions not upgraded
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 11:11:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: qtkeychain
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgcrypt20-dev,
                libsecret-1-dev,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
-               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
-               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
-               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
@@ -39,7 +38,7 @@
  This is the version built for Qt 5.
 
 Package: libqt6keychain1
-Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,8 +52,8 @@
 
 Package: qt5keychain-dev
 Section: oldlibs
-Architecture: all
-Depends: qtkeychain-qt5-dev, ${misc:Depends}
+Architecture: any
+Depends: qtkeychain-qt5-dev (>= ${binary:Version}), ${misc:Depends}
 Description: transitional package for qtkeychain-qt5-dev
  This is a transitional package. It can safely be removed.
 
@@ -77,7 +76,7 @@
 
 Package: qtkeychain-qt6-dev
 Section: libdevel
-Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
 Multi-Arch: same
 Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
 Description: development files for qtkeychain (Qt 6 version)

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with kde --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
-ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x))
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build-Qt6
